package shooting_0_17.item;

import java.applet.Applet;
import java.awt.Graphics;
import java.awt.Image;
import java.util.Vector;

import shooting_0_17.kitai.Jiki;
import shooting_0_17.kitai.Kitai;
import shooting_0_17.strategy.DoubleShotStrategy;

public class DoubleShotItem extends Item {

	public DoubleShotItem(
		Kitai kitai,
		Jiki jiki,
		Applet applet,
		Image img,
		Vector shots,
		Graphics offGra) {
		super(kitai, jiki, applet, img, shots, offGra);
	}

	public void check(Jiki jiki) {
		jiki.setShotStrategy(new DoubleShotStrategy());
	}

}
