package shooting_0_17.kitai;

import java.applet.Applet;
import java.awt.Image;
import java.util.Random;
import java.util.Vector;

import shooting_0_17.Shooting;
import shooting_0_17.game.Game;
import shooting_0_17.strategy.FiveWayShotStrategy;

public class FiveWayEnemy extends Enemy {

	public FiveWayEnemy(
		Applet applet,
		Game game,
		int x,
		int y,
		int width,
		int height,
		int attackRate,
		Image img,
		int hp,
		int score,
		Random rand,
		Vector shot) {
		super(
			applet,
			game,
			x,
			y,
			width,
			height,
			attackRate,
			img,
			hp,
			score,
			rand,
			shot);
		this.shotWidth =
			Integer.parseInt(Shooting.config.get("FiveWayEnemyShotWidth"));
		this.shotHeight =
			Integer.parseInt(Shooting.config.get("FiveWayEnemyShotHeight"));
		this.shotSpeed =
			Integer.parseInt(Shooting.config.get("FiveWayEnemyShotSpeed"));
		this.setShotStrategy(new FiveWayShotStrategy());
	}

	public void move() {
		mv(Kitai.Y, 1);
	}

}
