package shooting_0_17.kitai;

import java.awt.Graphics;
import java.util.Iterator;
import java.util.Vector;

public class Group {

	private Vector group;
	private Jiki jiki;

	public Group() {
		group = new Vector();
	}

	public Kitai get(int i) {
		return (Kitai) group.get(i);
	}

	public Jiki getJiki() {
		return jiki;
	}

	public void setJiki(Jiki jiki) {
		this.jiki = jiki;
	}

	public Vector getGroup() {
		return group;
	}

	public void setGroup(Vector vector) {
		group = vector;
	}

	public void addTeki(Enemy teki) {
		group.add(teki);
		teki.setGroup(this);
		new Thread(teki).start();
	}

	public void removeTeki(Enemy teki) {
		group.remove(teki);
	}

	public Iterator iterator() {
		return group.iterator();
	}

	public int getSize() {
		return group.size();
	}

	public void drawImage(Graphics g) {
		Iterator it = group.iterator();
		while (it.hasNext()) {
			Kitai kitai = (Kitai) it.next();
			if (kitai.isDead()) {
				group.remove(kitai);
				return;
			}
			if (kitai.getY() > jiki.getApplet().getHeight()) {
				group.remove(kitai);
				return;
			}
			g.drawImage(
				kitai.getImg(),
				kitai.getX(),
				kitai.getY(),
				kitai.getWidth(),
				kitai.getWidth(),
				null);
		}
	}

	public boolean isDead() {
		if (group.size() <= 0) {
			return true;
		}
		return false;
	}

}
