package shooting_0_17.kitai;

import java.applet.Applet;
import java.awt.Image;
import java.util.Random;
import java.util.Vector;

import shooting_0_17.Shooting;
import shooting_0_17.game.Game;
import shooting_0_17.strategy.HomingShotStrategy;

public class HomingEnemy extends Enemy {

	public HomingEnemy(
		Applet applet,
		Game game,
		int x,
		int y,
		int width,
		int height,
		int attackRate,
		Image img,
		int hp,
		int score,
		Random rand,
		Vector shot) {
		super(
			applet,
			game,
			x,
			y,
			width,
			height,
			attackRate,
			img,
			hp,
			score,
			rand,
			shot);
		this.shotWidth =
			Integer.parseInt(Shooting.config.get("BossKobunShotWidth"));
		this.shotHeight =
			Integer.parseInt(Shooting.config.get("BossKobunShotHeight"));
		this.shotSpeed =
			Integer.parseInt(Shooting.config.get("BossKobunShotSpeed"));
		this.setShotStrategy(new HomingShotStrategy());
	}

	public void move() {
		Jiki jiki = game.getJiki();
		while (getY() < 50) {
			mv(Kitai.Y, 2);
		}
		if (getY() < jiki.getY()) {
			mv(Kitai.Y, 2);
		} else {
			mv(Kitai.Y, -2);
		}
		if (getX() < jiki.getX()) {
			mv(Kitai.X, 2);
		} else {
			mv(Kitai.X, -2);
		}
	}

}
