package shooting_0_17.shot;

import java.applet.Applet;
import java.awt.Graphics;
import java.awt.Image;
import java.util.Vector;

import shooting_0_17.Shooting;
import shooting_0_17.kitai.Kitai;

public class BombShot extends Shot {

	private int yoko;

	public BombShot(
		Applet applet,
		Graphics offGra,
		int x,
		int y,
		int width,
		int height,
		int mv,
		Image img,
		Vector shots,
		int yoko) {
		super(applet, offGra, x, y, width, height, mv, img, shots);
		this.yoko = yoko;
	}

	protected boolean checkKitai(Kitai kitai) {
		if (this.getY() + this.height <= 0) {
			flag = true;
			return true;
		}
		if (((this.getX() - kitai.getX() < kitai.getWidth())
			&& (this.getX() - kitai.getX() > 0)
			&& (this.getY() - kitai.getY() < kitai.getHeight())
			&& (this.getY() - kitai.getY() > -height))
			|| ((kitai.getX() - this.getX() < width)
				&& (kitai.getX() - this.getX() > 0)
				&& (this.getY() - kitai.getY() < kitai.getHeight())
				&& (this.getY() - kitai.getY() > -height))) {
			kitai.damage(damage);
			if (!jiki.isDead()) {
				if (kitai.isDead()) {
					jiki.setScore(jiki.getScore() + kitai.getScore());
				}
			}
			offGra.drawImage(
				applet.getImage(
					applet.getDocumentBase(),
					Shooting.config.get("DeadImage")),
				kitai.getX(),
				kitai.getY(),
				kitai.getWidth(),
				kitai.getHeight(),
				applet);
			return true;
		}
		return false;
	}

	protected void move() {
		this.x += yoko;
		this.y -= mv;
	}

}
