package utilities;

import java.io.BufferedReader;
import java.io.FileReader;
import java.util.Hashtable;

public class Config {

	private Hashtable table = new Hashtable();

	public Config(String fileName, String regex) {
		try {
			String line;
			BufferedReader reader =
				new BufferedReader(new FileReader(fileName));
			while ((line = reader.readLine()) != null) {
				String str[] = line.split(regex);
				if (str.length == 2) {
					table.put(str[0], str[1]);
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public String get(String key) {
		return (String) table.get(key);
	}

}
