package utilities;

import java.applet.Applet;

public class Repaint implements Runnable {

	private Applet applet;
	private int interval;

	public Repaint(Applet applet, int interval) {
		this.applet = applet;
		this.interval = interval;
	}

	public void run() {
		while (true) {
			try {
				Thread.sleep(interval);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
			applet.repaint();
		}
	}

}
