package shooting_0_17;

import java.applet.Applet;
import java.awt.Graphics;
import java.awt.Image;

public class Back implements Runnable {

	private Image back;
	private int x;
	private int y;
	private int width;
	private int height;
	private Applet applet;
	private int mv;

	public Back(
		String back,
		int x,
		int y,
		int width,
		int height,
		int mv,
		Applet applet) {
		this.back = applet.getImage(applet.getDocumentBase(), back);
		this.x = x;
		this.y = y;
		this.width = width;
		this.height = height;
		this.mv = mv;
		this.applet = applet;
	}

	public void run() {
		while (true) {
			move(mv);
			try {
				Thread.sleep(50);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}
	}

	public void move(int y) {
		this.y -= y;
	}

	public void drawImage(Graphics g) {
		if (y > applet.getHeight()) {
			y = -height;
		}
		g.drawImage(back, x, y, width, height, applet);
	}

}
