package shooting_0_17;

import java.util.Hashtable;

public class Config {

	private Hashtable table = new Hashtable();

	private String enemyImageDirectory = "shooting_gazou/";
	private String itemImageDirectory = "shooting_gazou/";
	private String version = "0_17";

	public Config() {
		table.put("GameTitle", "V[eBO ver 0.17");
		table.put("GameTitleFont", "Serif");

		table.put("EasyLevelButtonText", "Easy Level");
		table.put("NormalLevelButtonText", "Normal Level");
		table.put("HardLevelButtonText", "Hard Level");
		table.put("ToTitleButtonText", "To Title");

		table.put("GameEndFont", "Serif");
		table.put("GameClearText", "Game Clear!!!");
		table.put("GamePerfectClearText", "Game Perfect Clear!!!");
		table.put("GameOverText", "Game Over!!!");

		table.put("HeroImage", enemyImageDirectory + "Hero.gif");
		table.put("NormalEnemyImage1", enemyImageDirectory + "Enemy.gif");
		table.put(
			"NormalEnemyImage2",
			enemyImageDirectory + "ThreeWayEnemy.gif");
		table.put("NormalEnemyImage3", enemyImageDirectory + "HomingEnemy.gif");
		table.put(
			"NormalEnemyImage4",
			enemyImageDirectory + "FiveWayEnemy.gif");

		table.put("BossImage", itemImageDirectory + "Boss.gif");
		table.put("BackImage", itemImageDirectory + "BackTown.jpg");

		table.put("HeroWidth", "30");
		table.put("HeroHeight", "30");
		table.put("NormalEnemyWidth", "30");
		table.put("NormalEnemyHeight", "30");
		table.put("ThreeWayEnemyWidth", "40");
		table.put("ThreeWayEnemyHeight", "40");
		table.put("FiveWayEnemyWidth", "60");
		table.put("FiveWayEnemyHeight", "60");

		table.put("EasyLevelShotInterval", "400");
		table.put("NormalLevelShotInterval", "400");
		table.put("HardLevelShotInterval", "400");

		table.put("HeroShotSpeed", "13");
		table.put("HeroNormalShotWidth", "10");
		table.put("HeroNormalShotHeight", "10");
		table.put("HeroNormalBombWidth", "60");
		table.put("HeroNormalBombHeight", "60");

		table.put("EnemyNormalShotSpeed", "-13");
		table.put("StraightEnemyShotSpeed", "-13");
		table.put("ThreeWayEnemyShotSpeed", "-8");
		table.put("FiveWayEnemyShotSpeed", "-8");
		table.put("BossKobunShotSpeed", "-13");
		table.put("BossShotSpeed", "-8");
		table.put("EnemyNormalShotWidth", "10");
		table.put("EnemyNormalShotHeight", "10");
		table.put("StraightEnemyShotWidth", "10");
		table.put("StraightEnemyShotHeight", "30");
		table.put("ThreeWayEnemyShotWidth", "10");
		table.put("ThreeWayEnemyShotHeight", "10");
		table.put("FiveWayEnemyShotWidth", "10");
		table.put("FiveWayEnemyShotHeight", "10");
		table.put("BossKobunShotWidth", "20");
		table.put("BossKobunShotHeight", "20");
		table.put("BossShotWidth", "30");
		table.put("BossShotHeight", "15");

		table.put("HeroNormalSpeed", "6");
		table.put("EnemyNormalSpeed", "8");

		table.put("HeroNormalShotImage", itemImageDirectory + "Shot.gif");
		table.put("HeroBombShotImage", itemImageDirectory + "BombShot.gif");
		table.put("EnemyNormalShotImage", itemImageDirectory + "EnemyShot.gif");
		table.put("BossShotImage", itemImageDirectory + "BossShot.gif");

		table.put("EnemyImageDirectory", enemyImageDirectory + "");
		table.put("EnemyImageExt", ".gif");
		table.put("EnemyPackagePath", "shooting_" + version + ".kitai.");

		table.put("ItemImageDirectory", itemImageDirectory + "");
		table.put("ItemImageExt", ".gif");
		table.put("ItemPackagePath", "shooting_" + version + ".item.");

		table.put("SpeedUpItemImage", itemImageDirectory + "SpeedUpItem.gif");
		table.put(
			"DoubleShotItemImage",
			itemImageDirectory + "DoubleShotItem.gif");
		table.put(
			"ThreeWayShotItemImage",
			itemImageDirectory + "ThreeWayShotItem.gif");
		table.put(
			"ShotIntervalUpItemImage",
			itemImageDirectory + "ShotIntervalUpItem.gif");
		table.put(
			"AddOptionItemImage",
			itemImageDirectory + "AddOptionItem.gif");
		table.put(
			"AddBarrierItemImage",
			itemImageDirectory + "AddBarrierItem.gif");

		table.put("BarrierImage", itemImageDirectory + "Barrier.gif");

		table.put("OptionHP", "3");
		table.put("BarrierHP", "3");

		table.put("ItemWidth", "15");
		table.put("ItemHeight", "15");
		table.put("ItemDropSpeed", "-8");

		table.put("DeadImage", itemImageDirectory + "Explode.gif");

		table.put("RepaintInterval", "20");
		table.put("EnemyDeadWaitTime", "1500");
	}

	public String get(String key) {
		return (String) table.get(key);
	}

}
