package shooting_0_17.kitai;

import java.applet.Applet;
import java.awt.Image;
import java.util.Vector;

import shooting_0_17.Shooting;
import shooting_0_17.game.Game;

public class Option extends Jiki {

	public Option(
		Applet applet,
		Game game,
		int x,
		int y,
		int width,
		int height,
		Image img,
		int hp,
		int shotInterval,
		Vector shot) {
		super(applet, game, x, y, width, height, img, hp, shotInterval, shot);
	}

	protected boolean hitBody(Enemy enemy) {
		if (((this.getX() - enemy.getX() < enemy.getWidth())
			&& (this.getX() - enemy.getX() > 0)
			&& (this.getY() - enemy.getY() < enemy.getHeight())
			&& (this.getY() - enemy.getY() > -this.getHeight()))
			|| ((enemy.getX() - this.getX() < width)
				&& (enemy.getX() - this.getX() > 0)
				&& (this.getY() - enemy.getY() < enemy.getHeight())
				&& (this.getY() - enemy.getY() > -this.getHeight()))) {
			this.damage(1);
			group.addTeki(
				new Explode(
					applet,
					this.getGame(),
					this.getX(),
					this.getY(),
					this.getWidth(),
					this.getHeight(),
					0,
					applet.getImage(
						applet.getDocumentBase(),
						Shooting.config.get("DeadImage")),
					10,
					0,
					null,
					null));
			return true;
		}
		return false;

	}

}
