package shooting_0_17.kitai;

import java.applet.Applet;
import java.awt.Image;
import java.util.Random;
import java.util.Vector;

import shooting_0_17.Shooting;
import shooting_0_17.game.*;
import shooting_0_17.strategy.ThreeWayShotStretegy;

public class ThreeWayEnemy extends Enemy {

	public ThreeWayEnemy(
		Applet applet,
		Game game,
		int x,
		int y,
		int width,
		int height,
		int attackRate,
		Image img,
		int hp,
		int score,
		Random rand,
		Vector shot) {
		super(
			applet,
			game,
			x,
			y,
			width,
			height,
			attackRate,
			img,
			hp,
			score,
			rand,
			shot);
		this.shotWidth =
			Integer.parseInt(Shooting.config.get("ThreeWayEnemyShotWidth"));
		this.shotHeight =
			Integer.parseInt(Shooting.config.get("ThreeWayEnemyShotHeight"));
		this.shotSpeed =
			Integer.parseInt(Shooting.config.get("ThreeWayEnemyShotSpeed"));
		this.setShotStrategy(new ThreeWayShotStretegy());
	}

	public void move() {
		while (getY() < 50) {
			mv(Kitai.Y, 2);
		}
		for (int n = 0; n < 50; n++) {
			mv(Kitai.X, speed);
		}
		for (int n = 0; n < 50; n++) {
			mv(Kitai.X, -speed);
		}
	}

}
